clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::tidy::readability::FindUsageOfThis Class Reference
Inheritance diagram for clang::tidy::readability::FindUsageOfThis:
[legend]
Collaboration diagram for clang::tidy::readability::FindUsageOfThis:
[legend]

## Public Member Functions
| FindUsageOfThis (ASTContext &Ctxt)
template<class T >
const T * | getParent (const Expr *E)
bool | VisitUnresolvedMemberExpr (const UnresolvedMemberExpr *)
bool | VisitCXXConstCastExpr (const CXXConstCastExpr *)
bool | VisitUser (const ImplicitCastExpr *Cast)
bool | VisitUser (const MemberExpr *Member, bool OnConstObject)
bool | VisitCXXThisExpr (const CXXThisExpr *E)

## Public Attributes
UsageKind | Usage = Unused

## Detailed Description

Definition at line 52 of file MakeMemberFunctionConstCheck.cpp.

## Constructor & Destructor Documentation

## ◆ FindUsageOfThis()

clang::tidy::readability::FindUsageOfThis::FindUsageOfThis | ( | ASTContext & | Ctxt | ) |
| inline

Definition at line 56 of file MakeMemberFunctionConstCheck.cpp.

## Member Function Documentation

## ◆ getParent()

template<class T >

const T* clang::tidy::readability::FindUsageOfThis::getParent | ( | const Expr * | E | ) |
| inline

Definition at line 59 of file MakeMemberFunctionConstCheck.cpp.

## ◆ VisitCXXConstCastExpr()

bool clang::tidy::readability::FindUsageOfThis::VisitCXXConstCastExpr | ( | const CXXConstCastExpr * |  | ) |
| inline

Definition at line 74 of file MakeMemberFunctionConstCheck.cpp.

References clang::tidy::readability::NonConst.

## ◆ VisitCXXThisExpr()

bool clang::tidy::readability::FindUsageOfThis::VisitCXXThisExpr | ( | const CXXThisExpr * | E | ) |
| inline

Definition at line 165 of file MakeMemberFunctionConstCheck.cpp.

References clang::tidy::readability::Const, E, clang::tidy::readability::NonConst, and Parent.

## ◆ VisitUnresolvedMemberExpr()

bool clang::tidy::readability::FindUsageOfThis::VisitUnresolvedMemberExpr | ( | const UnresolvedMemberExpr * |  | ) |
| inline

Definition at line 67 of file MakeMemberFunctionConstCheck.cpp.

References clang::tidy::readability::NonConst.

## ◆ VisitUser() [1/2]

bool clang::tidy::readability::FindUsageOfThis::VisitUser | ( | const ImplicitCastExpr * | Cast | ) |
| inline

Definition at line 92 of file MakeMemberFunctionConstCheck.cpp.

References Parent.

## ◆ VisitUser() [2/2]

bool clang::tidy::readability::FindUsageOfThis::VisitUser | ( | const MemberExpr * | Member,
|  | bool | OnConstObject
| ) |  |
| inline

Definition at line 123 of file MakeMemberFunctionConstCheck.cpp.

References Parent.

## Member Data Documentation

## ◆ Usage

UsageKind clang::tidy::readability::FindUsageOfThis::Usage = Unused

Definition at line 57 of file MakeMemberFunctionConstCheck.cpp.

The documentation for this class was generated from the following file:

- MakeMemberFunctionConstCheck.cpp